import { AfterContentInit, ElementRef, OnInit } from '@angular/core';
import { ValidationFeedbackComponent } from '../validation-feedback/validation-feedback.component';
import { FormErrorMessage } from '../../form-error-message.model';
import { FormControlDirective } from '../../directives/form-control.directive';
export declare class FormGroupComponent implements OnInit, AfterContentInit {
    private elRef;
    private customErrorMessages;
    private errorMessages;
    formControlDirective: FormControlDirective;
    messagesBlock: ValidationFeedbackComponent;
    messages: () => string[];
    constructor(elRef: ElementRef, customErrorMessages: FormErrorMessage[]);
    readonly hasErrors: boolean;
    readonly hasSuccess: boolean;
    ngAfterContentInit(): void;
    ngOnInit(): void;
    readonly label: any;
    readonly isDirtyAndTouched: boolean;
    private getMessages;
}
