import { ElementRef } from '@angular/core';
import { ControlContainer, FormControl } from '@angular/forms';
export declare function controlPath(name: string, parent: ControlContainer): string[];
export declare class FormControlDirective {
    private parent;
    private formControl;
    private elementRef;
    formControlName: string;
    constructor(parent: ControlContainer, formControl: FormControl, elementRef: ElementRef);
    readonly name: string;
    readonly path: string[];
    readonly validClass: boolean;
    readonly invalidClass: boolean;
    readonly control: FormControl;
    readonly formDirective: any;
}
